%global collection_namespace community
%global collection_name libvirt

# Avoid inclusion of package note file
%undefine _package_note_file

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Manages virtual machines supported by libvirt
License:        GPLv3+
URL:            %{ansible_collection_url}
Source:         https://github.com/ansible-collections/community.libvirt/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ansible-packaging
BuildArch:      noarch

%description
%{summary}.

%prep
%setup -q -n community.libvirt-%{version}

rm -rv .azure-pipelines
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license LICENSE
%doc CHANGELOG.rst CONTRIBUTING.md README.md
%{ansible_collection_files}

%changelog
* Sun May 15 2022 Paul Howarth <paul@city-fan.org> - 1.1.0-1
- Update to 1.1.0
  - Replace deprecated 'distutils.spawn.find_executable' with Ansible's
    'get_bin_path' in '_search_executable' function

* Wed May 11 2022 Paul Howarth <paul@city-fan.org> - 1.0.2-1
- Initial package
